.header {
    display: flex;
    //justify-content: space-between;
    padding: 2.3rem 2.8rem;
    position: relative;
    //align-items: center;
}

.menu {
    display: flex;
    align-items: center;
    top: 100%;
    right: 2.5rem;
    background-color: rgba(0, 0, 0, 0.8);
    font-size: 1.1rem;
    line-height: 2.2rem;
    color: #4E4E4E;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    position: absolute;
    width: 18rem;
    background-color: #F5F5F5;
    z-index: 999;

}
#collapsable-state {
    display: none;
}
.switch {
    margin-left: auto;
    position: relative;
    width: 4.4rem;
    height: 3.5rem;
    background-color: black;
    &__label {
        width: 4.4rem;
        height: 3.5rem;
        position: absolute;
        top: 0;
        //background-color: black;
        display: block;
        cursor: pointer;
    }
    &__icon {
        //position: absolute;
        //width: 44px;
        //height: 35px;
        //top: 0;
        //display: flex;
        //flex-direction: column;
        //align-items: center;
        //justify-content: center;
    }
    &__icon-line {
        width: 1.7rem;
        height: .2rem;
        background-color: white;
        margin-bottom: .2rem;
        position: absolute;
        left: 1.3rem;
        top: 1.3rem;
    }
    .menu-line--first {
        top: 1.3rem;
    }
    .menu-line--second, .menu-line--third {
        top: 1.7rem;
    }
    .menu-line--fourth {
        top: 2.1rem;
    }

}
.nav {
    width: 100%;
}

.nav__list {
    display: flex;
    list-style-type: none;
    padding-left: unset;
    flex-direction: column;
    align-items: flex-start;
    margin: 0;
}
.nav__item {
    width: 100%;
    padding: 0.7rem 0 ;
    margin-left: 1.4rem;
}
.nav__item:hover {
    background-color: #E5E5E5;
}
#collapsable {
    display: none;
}
#collapsable-state:checked ~ #collapsable {
    display: flex;
}
#collapsable-state:checked ~ .switch > .menu-line--first {
    display: none;
}
#collapsable-state:checked ~ .switch >.menu-line--fourth {
    display: none;
}
#collapsable-state:checked ~ .switch > .menu-line--second {
    transform: rotate(45deg);
}
#collapsable-state:checked ~ .switch > .menu-line--third {
    transform: rotate(-45deg);
}

@media screen and (min-width: $bp-tablet) {
    .header {
        padding: 4rem 0;
    }
    .menu {
        width: 60rem;
        margin: 0 auto;
        background-color: inherit;
    }
    .nav__list {
        justify-content: space-between;
    }
    .nav__item {
        margin-left: 0;
        width: unset;
    }
    .switch {
        display: none;
    }
    #collapsable {
        display: flex;
        position: static;
    }
    .nav__list {
        flex-direction: row;
        background-color: unset;
    }
}



@media screen and (min-width: $bp-desctop) {
    .header {
        padding: 4.5rem 0 5rem;
    }
    .menu {
        width: 80rem;

    }
}

